using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkOptimusTouMaterialIdsGetMaterialQuery
{

    /*
        页码，默认1，取值范围1~100
    */
    private long? pageNo;


    /*
        物料主题类型, 1促销活动;2热门主题;3精选榜单;4行业频道等;5其他
    */
    private long? subject;


    /*
        物料类型，1: 商品；2:权益
    */
    private long? materialType;


    /*
        每页物料id数量，默认20，取值范围1~100
    */
    private long? pageSize;



    [JsonPropertyName("page_no")]
    public long? PageNo
    {
        get => pageNo;
        set => this.pageNo = value;
    }

    [JsonPropertyName("subject")]
    public long? Subject
    {
        get => subject;
        set => this.subject = value;
    }

    [JsonPropertyName("material_type")]
    public long? MaterialType
    {
        get => materialType;
        set => this.materialType = value;
    }

    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

}

